Skip to main content
GET
/
uptime
/
reports
Get report
curl --request GET \
  --url https://api.phare.io/uptime/reports \
  --header 'Authorization: Bearer <token>'
{
  "downtime": 2940,
  "availability": 99.9634,
  "min_availability": 99.9125,
  "max_availability": 100,
  "mttr": 735,
  "mtbf": 43200,
  "report_start_at": "2026-04-01T00:00:00Z",
  "report_end_at": "2026-04-30T23:59:59Z",
  "monitors": [
    {
      "id": 12,
      "name": "Website",
      "incident_count": 2,
      "downtime": 1500,
      "availability": 99.944,
      "mttr": 750,
      "mtbf": 43200,
      "incidents": [
        {
          "title": "Service is not working as expected",
          "exclude_from_downtime": false,
          "id": 1,
          "project_id": 1,
          "slug": "APP-123",
          "description": "The server answered with an unexpected status code: 503.",
          "incident_at": "2023-11-07T05:31:56Z",
          "recovery_at": "2023-11-07T05:31:56Z",
          "monitors": [
            1,
            2,
            3
          ],
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.phare.io/llms.txt

Use this file to discover all available pages before exploring further.

To get an uptime report for a particular monitors check out the Monitor report endpoint

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Query Parameters

from
string<date-time>

Start of the reporting window

Example:

"2026-04-01T00:00:00Z"

to
string<date-time>

End of the reporting window

Example:

"2026-04-30T23:59:59Z"

page
integer
default:1

Page number to show

Example:

1

per_page
integer
default:20

Number of resources to return per page

Required range: 1 <= x <= 100
Example:

20

Response

Success, report retrieved

downtime
integer

Total downtime across all monitors in seconds

Example:

2940

availability
number<float>

Mean monitor availability across the selected range, as a percentage

Example:

99.9634

min_availability
number<float>

Lowest monitor availability in the selected range, as a percentage

Example:

99.9125

max_availability
number<float>

Highest monitor availability in the selected range, as a percentage

Example:

100

mttr
number<float> | null

Mean time to recovery (MTTR) average for all monitors, in seconds

Example:

735

mtbf
number<float> | null

Mean time between failures (MTBF) average for all monitors, in seconds

Example:

43200

highest_incident_impact
enum<string>
Available options:
unknown,
operational,
degraded_performance,
partial_outage,
major_outage,
maintenance
report_start_at
string<date-time>

Effective start of the generated report window

Example:

"2026-04-01T00:00:00Z"

report_end_at
string<date-time>

Effective end of the generated report window

Example:

"2026-04-30T23:59:59Z"

monitors
object[]

Per-monitor statistics for all monitors included in the report

Last modified on April 27, 2026